Bug 118549 - genhdlist barfs when rpm filename >= 80 characters
genhdlist barfs when rpm filename >= 80 characters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
FC3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 12:29 EST by Chris Rouch
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 17:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rouch 2004-03-17 12:29:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
genhdlist allocates an 80 character buffer (line 468). 

If an rpm filename is too long, genhdlist will split this filename, e.g. 

lirc-kmdl-2.4.22-1.2174.nptl_37.rhfc1.at-0.7.0-25_cvs20040311.rhfc1.at.i686.rpm
becomes
lirc-kmdl-2.4.22-1.2174.nptl_37.rhfc1.at-0.7.0-25_cvs20040311.rhfc1.at.i686.rp
 
and 'm'. 'm' has the wrong format so genhdlist bails out.

I guess all official rpms are too short to trigger this.

Version-Release number of selected component (if applicable):

anaconda-runtime-9.2-2

How reproducible:
Always

Steps to Reproduce:
1. Add
lirc-kmdl-2.4.22-1.2174.nptl_37.rhfc1.at-0.7.0-25_cvs20040311.rhfc1.at.i686.rpm
to comps.xml
2. e.g. genhdlist --withnumbers --productpath Fedora --fileorder
/a/yarrow/cdrom/pkgorder.txt /a/yarrow/cdrom-disc?
3. 

    

Actual Results:  genhdlist: FATAL ERROR -> "m" is not a package name!!

Expected Results:  genhdlist completes without errors

Additional info:
Comment 1 Jeremy Katz 2004-05-06 17:42:56 EDT
Actually, fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.